
/* I2C Slave Device API definition */ 

extern uint8_t *i2cdev_rx_buf;
extern uint8_t i2cdev_rx_buflen; // send-able length

extern void i2cdev_init( uint8_t myaddress );
extern void i2cdev_flush( );
extern uint8_t i2cdev_getc( void );
extern int8_t i2cdev_can_getc( void ); // -1: need flush  0: nodata 1: getable

static inline void i2cdev_set_rx_buf(uint8_t *buf, uint8_t buflen) {
	i2cdev_rx_buf = buf;
	i2cdev_rx_buflen = buflen;
}

