
#if defined(__AVR_ATtiny461__) || defined(__AVR_ATtiny861__)
  #define I2CDEV_DDR             DDRB
  #define I2CDEV_PORT            PORTB
  #define I2CDEV_PIN             PINB
  #define I2CDEV_SCL             PB2
  #define I2CDEV_SDA             PB0
#elif defined(__AVR_ATtiny44__) || defined(__AVR_ATtiny84__)
  #define I2CDEV_DDR             DDRA
  #define I2CDEV_PORT            PORTA
  #define I2CDEV_PIN             PINA
  #define I2CDEV_SCL             PA4
  #define I2CDEV_SDA             PA6
#elif defined(__AVR_ATtiny25__) || defined(__AVR_ATtiny45__)
  #define I2CDEV_DDR             DDRB
  #define I2CDEV_PORT            PORTB
  #define I2CDEV_PIN             PINB
  #define I2CDEV_SCL             PB2
  #define I2CDEV_SDA             PB0
#elif defined(__AVR_ATtiny26__)
  #define I2CDEV_DDR             DDRB
  #define I2CDEV_PORT            PORTB
  #define I2CDEV_PIN             PINB
  #define I2CDEV_SCL             PB2
  #define I2CDEV_SDA             PB0
#elif defined(__AVR_ATtiny2313__)
  #define I2CDEV_DDR             DDRB
  #define I2CDEV_PORT            PORTB
  #define I2CDEV_PIN             PINB
  #define I2CDEV_SCL             PB7
  #define I2CDEV_SDA             PB5
#endif

